<div class="row mta justify-content-center">
  <div class="card">
    <div class="card-header" style="text-align: center">
      <h2 class="card-title">
        <fa-icon [icon]="faMotorcycle"></fa-icon> Em Processo de Entrega
      </h2>
    </div>
    <div class="card-body">
      <p class="card-text">
        <strong><fa-icon [icon]="faTag"></fa-icon> ID do Pedido:</strong>
        {{ id }}
      </p>
      <p class="card-text">
        <strong
          ><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Retirada:</strong
        >
        {{
          pedido.loja.logradouro +
            " - " +
            pedido.loja.bairro +
            " - " +
            pedido.loja.localidade
        }}
      </p>
      <p class="card-text">
        <strong
          ><fa-icon [icon]="faMapMarkerAlt"></fa-icon> Endereço de
          Entrega:</strong
        >
        {{
          pedido.cliente.logradouro +
            " - " +
            pedido.cliente.bairro +
            " - " +
            pedido.cliente.localidade
        }}
      </p>

      <p class="card-text">
        <strong><fa-icon [icon]="faClock"></fa-icon> Tempo Estimado:</strong>
        {{ pedido.tempoEstimado }} m
      </p>
      <div class="row justify-content-center">
        <div *ngIf="mostrarRastreamento">
          <app-status-pedido></app-status-pedido>
        </div>
      </div>
      <div class="status_text">
        <strong><fa-icon [icon]="faDotCircle"></fa-icon> Status:</strong>
        {{ pedido.status }}
      </div>
      <div
        class="row justify-content-center occ"
        *ngIf="!mostrarRastreamento; else ocultarDetalhes"
      >
        <button
          class="btn btn-primary primary-color-bg"
          (click)="visualizarastreamento()"
        >
          Mostrar detalhes
        </button>
      </div>
      <ng-template #ocultarDetalhes>
        <div class="row justify-content-center">
          <button
            class="btn btn-primary primary-color-bg"
            (click)="visualizarastreamento()"
          >
            Ocultar detalhes
          </button>
        </div>
      </ng-template>

      <hr />
    </div>
  </div>
</div>
